diff --git a/changelog b/changelog
index 52e3269..d14449f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080301 tpd src/hyper/bookvol11 add additional hyperdoc page translations
 20080229 tpd src/hyper/bookvol11 add additional hyperdoc page translations
 20080222 tpd src/Makefile move hyperdoc bitmaps location
 20080222 tpd src/hyper/Makefile move hyperdoc bitmaps location
diff --git a/src/hyper/bookvol11.pamphlet b/src/hyper/bookvol11.pamphlet
index 7afa4e8..f3d863e 100644
--- a/src/hyper/bookvol11.pamphlet
+++ b/src/hyper/bookvol11.pamphlet
@@ -534,6 +534,7 @@ PAGES=rootpage.xhtml \
             dbopfirstdenom.xhtml \
             dbopfirstnumer.xhtml \
             dbopfractragits.xhtml \
+            dbopfractionpart.xhtml \
             dbopgamma.xhtml \
             dbopgcd.xhtml \
             dbophex.xhtml \
@@ -582,6 +583,10 @@ PAGES=rootpage.xhtml \
             dbopoddq.xhtml \
             dbopoperator.xhtml \
             dboporthonormalbasis.xhtml \
+            dbopoutputfixed.xhtml \
+            dbopoutputfloating.xhtml \
+            dbopoutputgeneral.xhtml \
+            dbopoutputspacing.xhtml \
             dboppadicfraction.xhtml \
             dboppartialfraction.xhtml \
             dboppartialquotients.xhtml \
@@ -616,6 +621,7 @@ PAGES=rootpage.xhtml \
             dboprootof.xhtml \
             dboprootsimp.xhtml \
             dboprootsof.xhtml \
+            dbopround.xhtml \
             dboprow.xhtml \
             dboprowechelon.xhtml \
             dbopsetcolumnbang.xhtml \
@@ -652,6 +658,7 @@ PAGES=rootpage.xhtml \
             dboptrace.xhtml \
             dboptranspose.xhtml \
             dboptrigs.xhtml \
+            dboptruncate.xhtml \
             dbopvariables.xhtml \
             dbopvectorise.xhtml \
             dbopvectorspace.xhtml \
@@ -683,6 +690,10 @@ PAGES=rootpage.xhtml \
               numquotientfields.xhtml \
             nummachinefloats.xhtml \
             numfloat.xhtml \
+              introtofloat.xhtml \
+              conversionfunctions.xhtml \
+              outputfunctions.xhtml \
+              determinantofhilbert.xhtml \
             numcomplexnumbers.xhtml \
             numfinitefields.xhtml \
             numnumericfunctions.xhtml \
@@ -5907,6 +5918,170 @@ The available test suites are:
 <<page foot>>
 @
 
+\subsection{conversionfunctions.xhtml}
+<<conversionfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Conversion Functions</div>
+  <hr/>
+You can use conversion (see 
+<a href="axbook/section-9.27.xhtml#subsec-9.27.2">Jenks section 9.27.2</a>)
+to go back and forth between
+<a href="db.xhtml?Integer">Integer</a>,
+<a href="db.xhtml?Fraction(Integer)">Fraction(Integer)</a> and
+<a href="db.xhtml?Float">Float</a>, as appropriate.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="i:=3::Float" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="i::Integer" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="i::Fraction Integer" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Since you are explicitly asking for a conversion, you must take 
+responsibility for any loss of exactness.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="r:=3/7::Float" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="r::Fraction Integer" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+This conversion cannot be performed: use 
+<a href="dboptruncate.xhtml">truncate</a> or
+<a href="dbopround.xhtml">round</a> if that is what you intend.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p4','p6']);"
+    value="r::Integer" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+The operations
+<a href="dboptruncate.xhtml">truncate</a> and
+<a href="dbopround.xhtml">round</a> truncate ...
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="truncate 3.6" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+and round to the nearest integral <a href="db.xhtml?Float">Float</a>
+respectively.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="round 3.6" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="truncate(-3.6)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="round(-3.6)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopfractionpart.xhtml">fractionPart</a>
+computes the fractional part of x, that is, x-truncate x.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="makeRequest('p11');"
+    value="fractionPart 3.6" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopdigits.xhtml">digits</a> allows the user to
+set the precision. It returns the previous value it was using.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="makeRequest('p12');"
+    value="digits 40" />
+  <div id="ansp12"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="makeRequest('p13');"
+    value="sqrt 0.2" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="makeRequest('p14');"
+    value="pi()$Float" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+The precision is only limited by the computer memory available.
+Calculations at 500 or more digits of precision are not difficult.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="makeRequest('p15');"
+    value="digits 500" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="makeRequest('p16');"
+    value="pi()$Float" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Reset <a href="dbopdigits.xhtml">digits</a> to its default value.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="makeRequest('p17');"
+    value="digits 20" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+Numbers of type <a href="db.html?Float">Float</a> are represented as a record
+of two integers, namely, the mantissa and the exponent where the base
+of the exponent is binary. That is, the floating point number of the
+binary. That is, the floating point number (m,e) represents the number
+m*2**e. A consequence of using a binary base is that decimal numbers
+can not, in general, be represented exactly.
+<<page foot>>
+@
+
 \subsection{crytopage.xhtml}
 <<cryptopage.xhtml>>=
 <<standard head>>
@@ -8649,6 +8824,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopfractionpart.xhtml}
+<<dbopfractionpart.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopfractionpart not implemented
+<<page foot>>
+@
+
 \subsection{dbopgamma.xhtml}
 <<dbopgamma.xhtml>>=
 <<standard head>>
@@ -9101,6 +9286,46 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopoutputfixed.xhtml}
+<<dbopoutputfixed.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopoutputfixed not implemented
+<<page foot>>
+@
+
+\subsection{dbopoutputfloating.xhtml}
+<<dbopoutputfloating.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopoutputfloating not implemented
+<<page foot>>
+@
+
+\subsection{dbopoutputgeneral.xhtml}
+<<dbopoutputgeneral.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopoutputgeneral not implemented
+<<page foot>>
+@
+
+\subsection{dbopoutputspacing.xhtml}
+<<dbopoutputspacing.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopoutputspacing not implemented
+<<page foot>>
+@
+
 \subsection{dboppadicfraction.xhtml}
 <<dboppadicfraction.xhtml>>=
 <<standard head>>
@@ -9481,6 +9706,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopround.xhtml}
+<<dbopround.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopround not implemented
+<<page foot>>
+@
+
 \subsection{dboprow.xhtml}
 <<dboprow.xhtml>>=
 <<standard head>>
@@ -9821,6 +10056,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dboptruncate.xhtml}
+<<dboptruncate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dboptruncate not implemented
+<<page foot>>
+@
+
 \subsection{dbopvariables.xhtml}
 <<dbopvariables.xhtml>>=
 <<standard head>>
@@ -9964,6 +10209,106 @@ the operations will have extra ones added at some stage.
 
 @
 
+\subsection{determinantofhilbert.xhtml}
+<<determinantofhilbert.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Example: Determinant of a Hilbert Matrix</div>
+  <hr/>
+Consider the problem of computing the determinant of a 10 by 10 
+Hilbert matrix. The (i,j)-th entry of a Hilbert matrix is given by
+1/(i+j+1).
+
+First do the computation using rational numbers to obtain the exact result.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+  value="a:Matrix FRAC INT:=matrix [ [1/(i+j+1) for j in 0..9] for i in 0..9]"
+   />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+This version of <a href="dbopdeterminant.xhtml">determinant</a> uses 
+Gaussian elimination.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="d:=determinant a" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="d::Float" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Now use hardware floats.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+  value=
+   "b:Matrix DFLOAT:=matrix [ [1/(i+j+1$DFLOAT) for j in 0..9] for i in 0..9]"
+   />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The result given by hardware floats is correct to only four significant
+digits of precision. In the jargon of numerical analysis, the Hilbert
+matrix is said to be "ill-conditioned".
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="determinant b" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Now repeat the computation at a higher precision using 
+<a href="db.html?Float">Float</a>
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="digits 40" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+  value=
+   "c:Matrix Float:=matrix [ [1/(i+j+1$Float) for j in 0..9] for i in 0..9]"
+   />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p7','p8']);"
+    value="determinant c" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Reset <a href="dbopdigits.xhtml">digits</a> to its default value.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="digits 20" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
 \subsection{differentiate.xhtml}
 <<differentiate.xhtml>>=
 <<standard head>>
@@ -34425,6 +34770,54 @@ lists of points in the plane.
 <<page foot>>
 @
 
+\subsection{introtofloat.xhtml}
+<<introtofloat.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Introduction to Float</div>
+  <hr/>
+Scientific notation is supported for input and output of floating
+point numbers. A floating point number is written as a string of 
+digits containing a decimal point optionally followed by the letter "E",
+and then the exponent. We begin by doing some calculations using
+arbitrary precision floats. The default precision is twenty decimal
+digits.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="1.234" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+A decimal base for the exponent is assumed, so the number 1.234E2 denotes
+1.234*10**2
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="1.234E2" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The normal arithmetic operations are available for floating point numbers.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="sqrt(1.2+2.3/3.4^4.5)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
 %%J
 \subsection{jenks.xhtml}
 <<jenks.xhtml>>=
@@ -37201,24 +37594,29 @@ see <a href="axbook/book-contents.xhtml#chapter7">Graphics</a> in section 7,
 in section 8.1, and <a href="nummachinefloats.xhtml">DoubleFloat</a>
 <ul>
  <li>
+  <a href="introtofloat.xhtml">Introduction to Float</a> (see 
   <a href="axbook/section-9.27.xhtml#subsec-9.27.1">
-   Introduction to Float
-  </a>
+   Jenks section 9.27.1
+  </a>)
  </li>
  <li>
+  <a href="conversionfunctions.xhtml">Conversion Functions</a> (see
   <a href="axbook/section-9.27.xhtml#subsec-9.27.2">
-   Conversion Functions
-  </a>
+   Jenks section 9.27.2
+  </a>)
  </li>
  <li>
+  <a href="outputfunctions.xhtml">Output Functions</a> (see
   <a href="axbook/section-9.27.xhtml#subsec-9.27.3">
-   Output Functions
-  </a>
+   Jenks, section 9.27.3
+  </a>)
  </li>
  <li>
+  <a href="determinantofhilbert.xhtml">
+   An Example: Determinant of a Hilbert Matrix</a> (see
   <a href="axbook/section-9.27.xhtml#subsec-9.27.4">
-   An Example: Determinant of a Hilbert Matrx
-  </a>
+   Jenks, section 9.27.4
+  </a>)
  </li>
 </ul>
 <<page foot>>
@@ -40118,6 +40516,99 @@ X transpose is just a row and X is just a column.
 <<page foot>>
 @
 
+\subsection{outputfunctions.xhtml}
+<<outputfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Output Functions</div>
+  <hr/>
+A number of operations exist for specifying how numbers of type
+<a href="db.html?Float">Float</a> are to be displayed. By default,
+spaces are inserted every ten digits in the output for readability.
+(Not that you cannot include spaces in the input form of a floating
+point number, though you can use underscores.)
+
+Output spacing can be modified with the 
+<a href="dbopoutputspacing.xhtml">outputSpacing</a> operation. This
+inserts no spaces and then displays the value of x.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="outputSpacing 0; x:=sqrt 0.2" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Issue this to have the spaces inserted every 5 digits.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="outputSpacing 5; x" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+By default, the system displays floats in either fixed format or
+scientific format, depending on the magnitude of the number.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="y:=x/10^10" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+A particular format may be requested with the operations
+<a href="dbopoutputfloating.xhtml">outputFloating</a> and
+<a href="dbopoutputfixed.xhtml">outputFixed</a>.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="outputFloating(); x" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+    value="outputFixed(); y" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Additionally, you can ask for n digits to be displayed after the 
+decimal point.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p3','p6']);"
+    value="outputFloating 2; y" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p7']);"
+    value="outputFixed 2; x" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopoutputgeneral.xhtml">outputGeneral</a> function resets
+the output printing to the default behavior.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="outputGeneral()" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
 
 %%P
 \subsection{pagelist.xhtml}
